Skip to content

Retrieve a command by messageId to check status​

GET
/devices/{id}/getRtkCommand

Authorizations​

ApiKeyAuth

API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.

TypeAPI Key (header: Authorization)
Example"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

Parameters​

Path Parameters

id*

device id

Typenumber
Required
Format"integer"

Query Parameters

messageId*

messageId of the command to retrieve

Typenumber
Required
Format""

Responses​

Body (JSON)

application/json
JSON
{
"deviceId": 0,
"messageId": 0,
"commandType": 0,
"created": "string",
"sent": "string",
"receivedAck": "string",
"payload": "string",
"response": "string",
"id": 0
}

Playground​

Authorization
Variables
Key
Value

Samples​

cURL
JavaScript
PHP
Python